MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030584Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2019-03-16 13:252019-04-08 12:18
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030584: Modeling Algorithms, BRepFill_OffsetWire - access violation on Face having no boundaries
DescriptionBRepFill_OffsetWire lacks checks on input Face having no boundaries leading to Access violation on working with uninitialized properties.
Steps To Reproduceoffset wire_closed_inside_0_005 H6
TagsNo tags attached.
Test case numberoffset wire_closed_inside_0_005 H6
Attached Files

- Relationships
related to 0030585newmsv Modeling Algorithms - BRepFill_OffsetWire uses global instance of BRepMAT2d_Explorer 
child of 0029181assignedapn Jenkins Certification Tool - testing with enabled exceptions (undefined No_Exception) 

-  Notes
(0083015)
git (administrator)
2019-03-16 13:49

Branch CR30584 has been created by kgv.

SHA-1: e4706c96a8a837f16415973970c7e6db85d1e315


Detailed log of new commits:

Author: kgv
Date: Sat Mar 16 13:22:47 2019 +0300

    0030584: Modeling Algorithms, BRepFill_OffsetWire - access violation on Face having no boundaries
    
    Added missing NULL and empty result checks.
    Updated test cases using offset_wire_092.brep shape containing all Edges
    with TopAbs_INTERNAL orientation (hense no boundary to make offset).
(0083018)
kgv (developer)
2019-03-16 15:55

Patch is ready for review.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30584-master-KGV [^]
(0083039)
msv (developer)
2019-03-18 12:14

Reviewed.
(0083048)
apn (administrator)
2019-03-18 15:36

Combination -
OCCT branch : CR30584
master SHA - e4706c96a8a837f16415973970c7e6db85d1e315
d67d4b811012eef8913d3c535c29654d0acf3c4c
Products branch : master SHA - 19cf12d4f918562ea1456aa224c6f7a64b9c4ad7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16619.430000000022 / 16599.24999999996 [+0.12%]
Products
Total CPU difference: 9089.650000000058 / 9092.71000000004 [-0.03%]
Windows-64-VC14:
OCCT
Total CPU difference: 18008.09375 / 17985.28125 [+0.13%]
Products
Total CPU difference: 10477.625 / 10460.953125 [+0.16%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0083503)
git (administrator)
2019-04-08 12:18

Branch CR30584 has been deleted by inv.

SHA-1: e4706c96a8a837f16415973970c7e6db85d1e315

- Related Changesets
occt: master 6b121e2b
Timestamp: 2019-03-16 10:22:47
Author: kgv
Committer: apn
Details ] Diff ]
0030584: Modeling Algorithms, BRepFill_OffsetWire - access violation on Face having no boundaries

Added missing NULL and empty result checks.
Updated test cases using offset_wire_092.brep shape containing all Edges
with TopAbs_INTERNAL orientation (hense no boundary to make offset).
mod - src/BRepFill/BRepFill_OffsetWire.cxx Diff ] File ]
mod - src/BRepMAT2d/BRepMAT2d_BisectingLocus.cxx Diff ] File ]
mod - src/BRepMAT2d/BRepMAT2d_Explorer.cxx Diff ] File ]
mod - tests/offset/wire_closed_inside_0_005/H6 Diff ] File ]
mod - tests/offset/wire_closed_inside_0_025/H6 Diff ] File ]
mod - tests/offset/wire_closed_inside_0_075/H6 Diff ] File ]
mod - tests/offset/wire_closed_outside_0_005/H6 Diff ] File ]
mod - tests/offset/wire_closed_outside_0_025/H6 Diff ] File ]
mod - tests/offset/wire_closed_outside_0_075/H6 Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-03-16 13:25 kgv New Issue
2019-03-16 13:25 kgv Assigned To => msv
2019-03-16 13:26 kgv Relationship added child of 0029181
2019-03-16 13:27 kgv Summary Modeling Algorithms, BRepOffsetAPI_MakeOffset - access violation on Face having no boundaries => Modeling Algorithms, BRepFill_OffsetWire - access violation on Face having no boundaries
2019-03-16 13:27 kgv Description Updated View Revisions
2019-03-16 13:49 git Note Added: 0083015
2019-03-16 13:54 kgv Relationship added related to 0030585
2019-03-16 15:55 kgv Note Added: 0083018
2019-03-16 15:55 kgv Status new => resolved
2019-03-18 12:14 msv Note Added: 0083039
2019-03-18 12:14 msv Assigned To msv => bugmaster
2019-03-18 12:14 msv Status resolved => reviewed
2019-03-18 15:36 apn Test case number => offset wire_closed_inside_0_005 H6
2019-03-18 15:36 apn Note Added: 0083048
2019-03-18 15:36 apn Status reviewed => tested
2019-03-24 18:54 apn Changeset attached => occt master 6b121e2b
2019-03-24 18:54 apn Assigned To bugmaster => apn
2019-03-24 18:54 apn Status tested => verified
2019-03-24 18:54 apn Resolution open => fixed
2019-04-08 12:18 git Note Added: 0083503


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker